Bug 222830 - [NEW PORT] benchmarks/vegeta: HTTP load testing tool and library
Summary: [NEW PORT] benchmarks/vegeta: HTTP load testing tool and library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D12606
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-06 15:05 UTC by Vinícius Zavam
Modified: 2018-01-27 13:29 UTC (History)
1 user (show)

See Also:


Attachments
benchmarks/vegeta: HTTP load testing tool and library (8.39 KB, patch)
2017-10-06 15:05 UTC, Vinícius Zavam
no flags Details | Diff
benchmarks/vegeta: HTTP load testing tool and library (3.62 KB, patch)
2018-01-19 13:27 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2017-10-06 15:05:09 UTC
Created attachment 186957 [details]
benchmarks/vegeta: HTTP load testing tool and library

https://reviews.freebsd.org/D12606
Comment 1 Vinícius Zavam freebsd_committer 2018-01-19 13:27:44 UTC
Created attachment 189902 [details]
benchmarks/vegeta: HTTP load testing tool and library

This time the [new] port does not push any additional Go library.
Current diff handles only what it needs to, and provides bin/vegeta.

Also updated Phabricator's diff (https://reviews.freebsd.org/D12606).
Comment 2 commit-hook freebsd_committer 2018-01-27 13:27:38 UTC
A commit references this bug:

Author: dbaio
Date: Sat Jan 27 13:26:58 UTC 2018
New revision: 460123
URL: https://svnweb.freebsd.org/changeset/ports/460123

Log:
  Add benchmarks/vegeta: HTTP load testing tool and library

  Vegeta is a versatile HTTP load testing tool built out of a need to drill HTTP
  services with a constant request rate.

  WWW: https://github.com/tsenart/vegeta

  PR:		222830
  Submitted by:	Vin?cius Zavam <egypcio@googlemail.com>
  Reviewed by:	mat, swills
  Differential Revision:	https://reviews.freebsd.org/D12606

Changes:
  head/benchmarks/Makefile
  head/benchmarks/vegeta/
  head/benchmarks/vegeta/Makefile
  head/benchmarks/vegeta/distinfo
  head/benchmarks/vegeta/pkg-descr
Comment 3 Danilo G. Baio freebsd_committer 2018-01-27 13:29:31 UTC
Committed, thanks!